<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
	
		function contar(texto){
			let suma=0;
			
			for (let i = 0; i < texto.length; i++) {
				if (texto[i]=='a') {
					suma++;			
				}
			}
			return suma;
		}

	</script>
</head>

<body>
	Funcion que le pasas un texto y te indica cuantas a's tiene

	<script type="text/javascript">
		let numero=0;
		let arreglo=["e","j","e"];
		let cadena="eje";

		arreglo[1]="p"; // si cambia la posicion porque es un array

		cadena[1]="p"; // no lo hace


		numero=contar("ejemplo de clase");

		document.write("numero: ", numero);
		
		
	</script>


</body>
</html>